Get all movements for a specific article
curl --request GET \
--url https://api-ezyconnect.ezytail.com/articles/{articleReference}/movements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-ezyconnect.ezytail.com/articles/{articleReference}/movements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-ezyconnect.ezytail.com/articles/{articleReference}/movements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"activityCode": "<string>",
"stockUnitID": "<string>",
"movementTimestamp": "2023-11-07T05:31:56Z",
"articleReference": "<string>",
"movedQuantity": 123,
"movementDirection": "<string>",
"movementCode": "<string>",
"movementReason": "<string>",
"gradeCode": "<string>",
"dateProcessed": "2023-11-07T05:31:56Z"
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Articles
Get all movements for a specific article
Fetch all movements with for a specific article, limited to 100 results
GET
/
articles
/
{articleReference}
/
movements
Get all movements for a specific article
Authorizations
JWT Authorization header using the Bearer scheme. \r\n\r\n Enter 'Bearer' [space] and then your token in the text input below. \r\n\r\nExample: 'Bearer 12345abcdef'
Path Parameters
Response
OK
Code normalisé de l'évenement
Maximum string length:
3Identifiant de l'unité de stockage
Maximum string length:
3Date et heure à laquelle a été passé le mouvement
Référence article
Maximum string length:
17Quantité mouvementée
Sens du mouvement
Maximum string length:
1Code du mouvement
Maximum string length:
10Motif du mouvement
Maximum string length:
3
